package com.jeeplus.modules.sg.managementcenter.activiti.entity;

import com.jeeplus.core.persistence.ActEntity;
import com.jeeplus.modules.sys.entity.User;

import java.util.Date;

/**
 * 施工交底Entity
 * @author
 * @version 2019-11-08
 */
public class Construction extends ActEntity<Construction> {
    private static final long serialVersionUID = 1L;
    private User tuser;		// 归属用户
    private String procInsId;		// 流程实例编号
    private String userName;		// 申请人
    private String projectId;		// 项目号
    private String projectName;		// 项目名称
    private Date acceptDate;		// 接收图纸时间
    private String examineDate;		// 备注说明
    private String powerLine;
    private String blackoutArea;
    private String projectType;
    private String powerFailure;
    private String preliminaryJudgment;
    private String civilEngineering;
    private String baseType;
    private String planApproval;
    private String transformationType;
    private String transformationEquipment;
    private String newNamed;
    private String putInto;
    private String electricalConstruction;
    private String theAssignment;
    private String automation;
    private String remote;
    private String communicationMode;
    private String inSitu;
    private String networkCabinet;
    private String station;
    private String applyName;
    //施工通道
    private String channel;
    //设备基础是否可以扩容
    private String capacity;
    //现场设备尺寸
    private String sceneSize;
    //最多可扩容尺寸
    private String capacitySize;
    //方案安全隐患
    private String hiddenDanger;
    //是否存在低压或通信线等影响施工
    private String influenceConstruction;
    //立项重复
    private String projectRepetition;
    //是否已实施
    private String implemented;
    //变压器无负荷
    private String transformer;
    //线路名称一致性
    private String lineName;
    //工程量是否一致
    private String quantities;
    //设备、开关、杆号一致性
    private String rodNumber;
    //政处类型
    private String administrationType;
    //是否存在严重政处问题（预判）
    private String politicalProblem;
    //前置条件
    private String precondition;
    //DTU安放方式核查
    private String placementMode;
    //核查环网柜生产日期
    private String productionDate;
    //二次是否是集成模块
    private String integrateModule;
    //PT是否需要更换
    private String needReplace;
    //设备是否有整体改造的必要
    private String overallTransformation;
    //
    private Disclose disclose;
    //记录需求提出单位
    private String demandUnit;

    public Disclose getDisclose() {
        return disclose;
    }

    public void setDisclose(Disclose disclose) {
        this.disclose = disclose;
    }

    public User getTuser() {
        return tuser;
    }

    public void setTuser(User tuser) {
        this.tuser = tuser;
    }

    @Override
    public String getProcInsId() {
        return procInsId;
    }

    @Override
    public void setProcInsId(String procInsId) {
        this.procInsId = procInsId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public Date getAcceptDate() {
        return acceptDate;
    }

    public void setAcceptDate(Date acceptDate) {
        this.acceptDate = acceptDate;
    }

    public String getExamineDate() {
        return examineDate;
    }

    public void setExamineDate(String examineDate) {
        this.examineDate = examineDate;
    }

    public String getPowerLine() {
        return powerLine;
    }

    public void setPowerLine(String powerLine) {
        this.powerLine = powerLine;
    }

    public String getBlackoutArea() {
        return blackoutArea;
    }

    public void setBlackoutArea(String blackoutArea) {
        this.blackoutArea = blackoutArea;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public String getPowerFailure() {
        return powerFailure;
    }

    public void setPowerFailure(String powerFailure) {
        this.powerFailure = powerFailure;
    }

    public String getPreliminaryJudgment() {
        return preliminaryJudgment;
    }

    public void setPreliminaryJudgment(String preliminaryJudgment) {
        this.preliminaryJudgment = preliminaryJudgment;
    }

    public String getCivilEngineering() {
        return civilEngineering;
    }

    public void setCivilEngineering(String civilEngineering) {
        this.civilEngineering = civilEngineering;
    }

    public String getBaseType() {
        return baseType;
    }

    public void setBaseType(String baseType) {
        this.baseType = baseType;
    }

    public String getPlanApproval() {
        return planApproval;
    }

    public void setPlanApproval(String planApproval) {
        this.planApproval = planApproval;
    }

    public String getTransformationType() {
        return transformationType;
    }

    public void setTransformationType(String transformationType) {
        this.transformationType = transformationType;
    }

    public String getTransformationEquipment() {
        return transformationEquipment;
    }

    public void setTransformationEquipment(String transformationEquipment) {
        this.transformationEquipment = transformationEquipment;
    }

    public String getNewNamed() {
        return newNamed;
    }

    public void setNewNamed(String newNamed) {
        this.newNamed = newNamed;
    }

    public String getPutInto() {
        return putInto;
    }

    public void setPutInto(String putInto) {
        this.putInto = putInto;
    }

    public String getElectricalConstruction() {
        return electricalConstruction;
    }

    public void setElectricalConstruction(String electricalConstruction) {
        this.electricalConstruction = electricalConstruction;
    }

    public String getTheAssignment() {
        return theAssignment;
    }

    public void setTheAssignment(String theAssignment) {
        this.theAssignment = theAssignment;
    }

    public String getAutomation() {
        return automation;
    }

    public void setAutomation(String automation) {
        this.automation = automation;
    }

    public String getRemote() {
        return remote;
    }

    public void setRemote(String remote) {
        this.remote = remote;
    }

    public String getCommunicationMode() {
        return communicationMode;
    }

    public void setCommunicationMode(String communicationMode) {
        this.communicationMode = communicationMode;
    }

    public String getInSitu() {
        return inSitu;
    }

    public void setInSitu(String inSitu) {
        this.inSitu = inSitu;
    }

    public String getNetworkCabinet() {
        return networkCabinet;
    }

    public void setNetworkCabinet(String networkCabinet) {
        this.networkCabinet = networkCabinet;
    }

    public String getStation() {
        return station;
    }

    public void setStation(String station) {
        this.station = station;
    }

    public String getApplyName() {
        return applyName;
    }

    public void setApplyName(String applyName) {
        this.applyName = applyName;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public String getCapacity() {
        return capacity;
    }

    public void setCapacity(String capacity) {
        this.capacity = capacity;
    }

    public String getSceneSize() {
        return sceneSize;
    }

    public void setSceneSize(String sceneSize) {
        this.sceneSize = sceneSize;
    }

    public String getCapacitySize() {
        return capacitySize;
    }

    public void setCapacitySize(String capacitySize) {
        this.capacitySize = capacitySize;
    }

    public String getHiddenDanger() {
        return hiddenDanger;
    }

    public void setHiddenDanger(String hiddenDanger) {
        this.hiddenDanger = hiddenDanger;
    }

    public String getInfluenceConstruction() {
        return influenceConstruction;
    }

    public void setInfluenceConstruction(String influenceConstruction) {
        this.influenceConstruction = influenceConstruction;
    }

    public String getProjectRepetition() {
        return projectRepetition;
    }

    public void setProjectRepetition(String projectRepetition) {
        this.projectRepetition = projectRepetition;
    }

    public String getImplemented() {
        return implemented;
    }

    public void setImplemented(String implemented) {
        this.implemented = implemented;
    }

    public String getTransformer() {
        return transformer;
    }

    public void setTransformer(String transformer) {
        this.transformer = transformer;
    }

    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }

    public String getQuantities() {
        return quantities;
    }

    public void setQuantities(String quantities) {
        this.quantities = quantities;
    }

    public String getRodNumber() {
        return rodNumber;
    }

    public void setRodNumber(String rodNumber) {
        this.rodNumber = rodNumber;
    }

    public String getAdministrationType() {
        return administrationType;
    }

    public void setAdministrationType(String administrationType) {
        this.administrationType = administrationType;
    }

    public String getPoliticalProblem() {
        return politicalProblem;
    }

    public void setPoliticalProblem(String politicalProblem) {
        this.politicalProblem = politicalProblem;
    }

    public String getPrecondition() {
        return precondition;
    }

    public void setPrecondition(String precondition) {
        this.precondition = precondition;
    }

    public String getPlacementMode() {
        return placementMode;
    }

    public void setPlacementMode(String placementMode) {
        this.placementMode = placementMode;
    }

    public String getProductionDate() {
        return productionDate;
    }

    public void setProductionDate(String productionDate) {
        this.productionDate = productionDate;
    }

    public String getIntegrateModule() {
        return integrateModule;
    }

    public void setIntegrateModule(String integrateModule) {
        this.integrateModule = integrateModule;
    }

    public String getNeedReplace() {
        return needReplace;
    }

    public void setNeedReplace(String needReplace) {
        this.needReplace = needReplace;
    }

    public String getOverallTransformation() {
        return overallTransformation;
    }

    public void setOverallTransformation(String overallTransformation) {
        this.overallTransformation = overallTransformation;
    }

    public String getDemandUnit() {
        return demandUnit;
    }

    public void setDemandUnit(String demandUnit) {
        this.demandUnit = demandUnit;
    }
}
